/**
* Copyright 2016 aheadWorks. All rights reserved.
* See LICENSE.txt for license details.
*/

define(
    [],
    function () {
        'use strict';

        var cache = {};

        return {
            /**
             * Retrieve data
             *
             * @param {string} key
             * @returns {boolean|Object.<string, Array>}
             */
            get: function(key) {
                if (cache[key]) {
                    return cache[key];
                }
                return false;
            },

            /**
             * Set data
             *
             * @param {string} key
             * @param {Object.<string, Array>} data
             */
            set: function(key, data) {
                cache[key] = data;
            }
        };
    }
);
