/**
* Copyright 2016 aheadWorks. All rights reserved.
* See LICENSE.txt for license details.
*/

define(
    [
        'ko',
        'Aheadworks_OneStepCheckout/js/view/totals/applicable/abstract-total'
    ],
    function (ko, Component) {
        'use strict';

        return Component.extend({
            defaults: {
                template: 'Aheadworks_OneStepCheckout/totals/reward',
                isApplied: false,
                isShown: false,
                availableLabel: '',
                usedLabel: ''
            },

            /**
             * @inheritdoc
             */
            initialize: function () {
                this._super();
                if (this.isApplied()) {
                    this.showTotal(true);
                }
            },

            /**
             * @inheritdoc
             */
            initObservable: function () {
                this._super();
                this.observe(['isApplied']);

                return this;
            },

            /**
             * @inheritdoc
             */
            _validate: function () {
                return true;
            }
        });
    }
);
